;InnoSetupVersion=5.2.3

[Setup]
AppName=VideoToMKV
AppVerName=VideoToMKV v1.01
AppId=VideoToMKV
AppPublisher=Peter Souza IV
AppPublisherURL=http://www.PeterSouza.com/
DefaultDirName={pf}\VideoToMKV
DefaultGroupName=VideoToMKV
OutputBaseFilename=in
Compression=lzma
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\VideoToMKV.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\VideoToMKV.exe.config"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\MKV-2-0.bat"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\MKV-5-1.bat"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\MKV-7-1.bat"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\ffmpeg.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\pthreadGC2.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\FFmpeg_license.txt"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\mkvmerge.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\libiconv.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\libcharset.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\cygz.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\libebml.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\libmatroska.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\MKVtoolnix_license.txt"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\uninstall.ico"; DestDir: "{app}"; 

[Run]
Filename: "{app}\VideoToMKV.exe"; Description: "Launch VideoToMKV"; Flags: skipifdoesntexist postinstall nowait

[Icons]
Name: "{commondesktop}\VideoToMKV"; Filename: "{app}\VideoToMKV.exe"; WorkingDir: "{app}"; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\VideoToMKV"; Filename: "{app}\VideoToMKV.exe"; WorkingDir: "{app}"; Tasks: quicklaunchicon; 
Name: "{group}\VideoToMKV"; Filename: "{app}\VideoToMKV.exe"; WorkingDir: "{app}"; 
Name: "{group}\Uninstall VideoToMKV"; Filename: "{uninstallexe}"; IconFilename: "{app}\uninstall.ico"; 
Name: "{group}\FFmpeg license"; Filename: "{app}\FFmpeg_license.txt"; 
Name: "{group}\MKVtoolnix license"; Filename: "{app}\MKVtoolnix_license.txt"; 

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; 
Name: "quicklaunchicon"; Description: "{cm:CreateQuickLaunchIcon}"; GroupDescription: "{cm:AdditionalIcons}"; 

[CustomMessages]
english.NameAndVersion=%1 version %2
english.AdditionalIcons=Additional icons:
english.CreateDesktopIcon=Create a &desktop icon
english.CreateQuickLaunchIcon=Create a &Quick Launch icon
english.ProgramOnTheWeb=%1 on the Web
english.UninstallProgram=Uninstall %1
english.LaunchProgram=Launch %1
english.AssocFileExtension=&Associate %1 with the %2 file extension
english.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "english"; MessagesFile: "embedded\english.isl"; 
